#vistoria

	.vistoria-analista-tecnico
		label Analista técnico:
		span.nome {{ usuarioSessao.usuarioEntradaUnica.nome }}

	hr

	.vistoria-radio
		label.titulo.obrigatorio(ng-class="{ 'error-summernote': ctrl.errors.vistoria.realizada }") Vistoria realizada?
		label.radio-inline(for="vistoriaRealizada", ng-click="ctrl.limparVistoriaNaoRealizada()")
			input#vistoriaRealizada(type='radio', name='vistoriaRealizada', ng-model='ctrl.parecer.vistoria.realizada', value='true')
			| Sim
		label.radio-inline(for="vistoriaNaoRealizada", ng-click="ctrl.limparVistoriaRealizada()")
			input#vistoriaNaoRealizada(type='radio', name='vistoriaNaoRealizada', ng-model='ctrl.parecer.vistoria.realizada', value='false')
			| Não

	.vistoria-realizada(ng-show="ctrl.parecer.vistoria.realizada === 'true'")

		.upload
			div.obrigatorio.btn.btn-default(title="Permitido apenas upload de 1 arquivo", ng-disabled="ctrl.parecer.vistoria.documentoRit", ng-class="{ 'error-summernote': ctrl.errors.vistoria.documentoRit }", type="file", name="arquivo-rit", ngf-select="ctrl.upload($file, $invalidFile, ctrl.tiposDocumentosAnalise.DOCUMENTO_RIT)", ngf-accept="'application/pdf'", ngf-pattern="'application/pdf'", ngf-max-size="{{ctrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
				i.glyphicon.glyphicon-open.glyphicon--with-right-margin
				| Anexar RTV (Relatório Técnico de Vistoria)
			i Tamanho máximo de {{ctrl.TAMANHO_MAXIMO_ARQUIVO_MB}} MB

		.arquivos-adicionados
			table.table.table-condensed(ng-if="ctrl.parecer.vistoria.documentoRit !== null")

				thead

					tr
						th.col-md-10 Arquivo anexado
						th.col-md-2.text-right Ações

				tbody

					tr

						td.col-md-10 {{ ctrl.parecer.vistoria.documentoRit.nomeDoArquivo }}
						td.col-md-2.text-right
							a.d-inline.margin-right-xs(title="Visualizar anexo", ng-click="ctrl.baixarDocumento(ctrl.parecer.vistoria.documentoRit)")
								i.pointer.glyphicon.glyphicon-eye-open

							a.d-inline.margin-right-xs(title="Remover documento", ng-click="ctrl.removerDocumentoRit()")
								i.pointer.glyphicon.glyphicon-trash

		.inconsistencia(ng-class="{ 'error-summernote': ctrl.errors.vistoria.inconsistenciaVistoria }")
			label.obrigatorio Não foram identificadas inconsistências na vistoria?
			i.item.pointer.pull-right.glyphicon.glyphicon-remove-sign(ng-click="ctrl.openModalInconsistencia()", ng-class=" { 'vistoria-com-inconsistencia': ctrl.parecer.vistoria.inconsistenciaVistoria }", title="Adicionar inconsistência")
			i.item.pointer.pull-right.glyphicon.glyphicon-ok-sign(ng-if="!ctrl.hasInconsistenciaVistoriaAdicionada()", ng-click="ctrl.marcarSemInconsistencia()", ng-class=" { 'vistoria-sem-inconsistencia': ctrl.semInconsistenciaVistoria }", title="Validar vistoria")
			i.item.pointer.pull-right.glyphicon.glyphicon-ok-sign(ng-if="ctrl.hasInconsistenciaVistoriaAdicionada()", ng-class=" { 'vistoria-sem-inconsistencia': ctrl.semInconsistenciaVistoria }"
					ng-bootbox-title='Confirmação',
					ng-bootbox-confirm='Deseja realmente validar a vistoria? <br><br> Após validar, a inconsistência será excluída.',
					ng-bootbox-confirm-action="ctrl.marcarSemInconsistencia()")

		.data-vistoria
			.data
				label.control-label.obrigatorio Data da vistoria:
				.form-inline(ng-class="{ 'error-summernote': ctrl.errors.vistoria.data }")
					.input-group
						input.form-control(uib-datepicker-popup="dd/MM/yyyy",
											required,
											type='text',
											name='dataVistoria',
											ng-model="ctrl.parecer.vistoria.data",
											datepicker-options="{ maxDate: ctrl.dataAtual }"
											show-button-bar="false",
											is-open='isOpenPeriodoInicial',
											ng-click='isOpenPeriodoInicial = !isOpenPeriodoInicial; ctrl.limparErrosVistoria();',
											mascara='data',
											ng-blur="ctrl.verificarData()")
						span.input-group-btn(ng-click='isOpenPeriodoInicial = !isOpenPeriodoInicial')
							a.btn.btn-default
								i.glyphicon.glyphicon-calendar

			.hora
				label.control-label.obrigatorio Hora da vistoria:
				input.form-control(type="time", ng-model="ctrl.parecer.vistoria.hora", ng-click="ctrl.limparErrosVistoria()", ng-class="{ 'error-summernote': ctrl.errors.vistoria.hora }")

		.equipe
			label.control-label Informe a equipe técnica para vistoria:
			select.form-control(ng-model="analistaSelecionado", ng-change="ctrl.adicionarAnalistaEquipe(analistaSelecionado)", ng-options="tecnico as tecnico.usuario.pessoa.nome for tecnico in ctrl.analistasTecnico | orderBy:'usuario.pessoa.nome' track by tecnico.usuario.id")
				option(value="") Selecione

			.analistas-selecionados(ng-if="ctrl.parecer.vistoria.equipe.length > 0")
				fieldset

					legend Selecionados

					div
						label.item-adicionado(title="Remover técnico", ng-if="ctrl.analistasTecnico.length > 0", ng-repeat="analista in ctrl.parecer.vistoria.equipe track by analista.usuario.id") {{ analista.usuario.pessoa.nome }}
							button(type="button", class="close", aria-label="Close", ng-click="ctrl.removerAnalistaEquipe(analista)")
							span.pointer(aria-hidden="true") &nbsp;&times;

						label.item-adicionado.todos(title="Remover todos", ng-if="ctrl.analistasTecnico.length === 0") Todos
							button(type="button", class="close", aria-label="Close", ng-click="ctrl.removerAnalistaEquipe()")
							span.pointer(aria-hidden="true") &nbsp;&times;

		.informacoes
			label.obrigatorio Descrição da atividade:
			.summernote(ng-class="{ 'error-summernote': ctrl.errors.vistoria.descricao }")
				summernote.form-control(id="descricao-realizada",
										on-paste="snPaste(evt)",
										name="descricao",
										lang="pt-BR",
										height="200",
										ng-model="ctrl.parecer.vistoria.descricao",
										config="optionsText",
										class="editable",
										contenteditable="true",
										on-keydown="ctrl.limparErrosVistoria()")

			label Cursos D'água:
			summernote.form-control(id="cursos-dagua-realizada",
									on-paste="snPaste(evt)",
									name="cursos-dagua",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.cursosDagua",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label Tipologia vegetal:
			summernote.form-control(id="tipologia-vegetal-realizada",
									on-paste="snPaste(evt)",
									name="tipologia-vegetal",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.tipologiaVegetal",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label Áreas de Preservação Permanente - APP:
			summernote.form-control(id="app-realizada",
									on-paste="snPaste(evt)",
									name="app",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.app",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label Ocorrência de processos erosivos:
			summernote.form-control(id="ocorrencia-realizada",
									on-paste="snPaste(evt)",
									name="ocorrencia",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.ocorrencia",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label Gestão de resíduos sólidos e líquidos gerados na atividade produtiva:
			summernote.form-control(id="residuos-liquidos-realizada",
									on-paste="snPaste(evt)",
									name="residuosLiquidos",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.residuosLiquidos",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label Outras informações:
			summernote.form-control(id="outras-informacoes-realizada",
									on-paste="snPaste(evt)",
									name="outras",
									lang="pt-BR",
									height="200",
									ng-model="ctrl.parecer.vistoria.outrasInformacoes",
									config="optionsText",
									class="editable",
									contenteditable="true",
									on-keydown="ctrl.limparErrosVistoria()")

			label.obrigatorio Conclusão:
			.summernote(ng-class="{ 'error-summernote': ctrl.errors.vistoria.conclusao }")
				summernote.form-control(id="justificativa-nao-realizada",
										on-paste="snPaste(evt)",
										name="conclusao",
										lang="pt-BR",
										height="200",
										ng-model="ctrl.parecer.vistoria.conclusao",
										config="optionsText",
										class="editable",
										contenteditable="true",
										ng-class="{ 'error-summernote': ctrl.errors.vistoria.conclusao }",
										on-keydown="ctrl.limparErrosVistoria()")

			div.btn.btn-default(type="file", name="arquivos", ngf-select="ctrl.upload($file, $invalidFile, ctrl.tiposDocumentosAnalise.DOCUMENTO_VISTORIA)", ngf-accept="'application/pdf,image/*'", ngf-pattern="'application/pdf,image/*'", ngf-max-size="{{ctrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
				i.glyphicon.glyphicon-open.glyphicon--with-right-margin
				| Anexar arquivos

			.arquivos-adicionados
				table.table.table-condensed(ng-if="ctrl.parecer.vistoria.anexos.length > 0")

					thead

						tr
							th.col-md-10 Arquivo anexado
							th.col-md-2.text-right Ações

					tbody

						tr(ng-repeat="documento in ctrl.parecer.vistoria.anexos")

							td.col-md-10 {{ documento.nomeDoArquivo }}
							td.col-md-2.text-right
								a.d-inline.margin-right-xs(title="Visualizar anexo", ng-click="ctrl.baixarDocumento(documento)")
									i.pointer.glyphicon.glyphicon-eye-open

								a.d-inline.margin-right-xs(title="Remover documento", ng-click="ctrl.removerDocumentosVistoria($index)")
									i.pointer.glyphicon.glyphicon-trash

	.vistoria-nao-realizada(ng-show="ctrl.parecer.vistoria.realizada === 'false'")
		label.obrigatorio Justificativa de não realização da vistoria:
		.summernote(ng-class="{ 'error-summernote': ctrl.errors.vistoria.conclusao }")
			summernote.form-control(id="justificativa-nao-realizada",
								on-paste="snPaste(evt)",
								name="conclusao",
								lang="pt-BR",
								height="200",
								ng-model="ctrl.parecer.vistoria.conclusao",
								config="optionsText",
								class="editable",
								contenteditable="true",
								on-keydown="ctrl.limparErrosVistoria()")
